package cn.ibizlab.api.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.alibaba.fastjson.annotation.JSONField;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import cn.ibizlab.util.domain.DTOBase;
import cn.ibizlab.util.domain.DTOClient;
import lombok.Data;

/**
 * 服务DTO对象[RuleEngineDTO]
 */
@Data
public class RuleEngineDTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [ENGINEID]
     *
     */
    @JSONField(name = "engine_id")
    @JsonProperty("engine_id")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String engineId;

    /**
     * 属性 [ENGINENAME]
     *
     */
    @JSONField(name = "engine_name")
    @JsonProperty("engine_name")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String engineName;

    /**
     * 属性 [RULEGROUP]
     *
     */
    @JSONField(name = "group")
    @JsonProperty("group")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String group;

    /**
     * 属性 [MODELID]
     *
     */
    @JSONField(name = "model_id")
    @JsonProperty("model_id")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String modelId;

    /**
     * 属性 [MODELNAME]
     *
     */
    @JSONField(name = "model_name")
    @JsonProperty("model_name")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String modelName;

    /**
     * 属性 [EXECSTATE]
     *
     */
    @JSONField(name = "state")
    @JsonProperty("state")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String state;

    /**
     * 属性 [LASTRUNTIME]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "last_runtime" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("last_runtime")
    private Timestamp lastRuntime;

    /**
     * 属性 [SYSTEMID]
     *
     */
    @JSONField(name = "system_id")
    @JsonProperty("system_id")
    @Size(min = 0, max = 100, message = "内容长度必须小于等于[100]")
    private String systemId;


    /**
     * 设置 [ENGINENAME]
     */
    public void setEngineName(String  engineName){
        this.engineName = engineName ;
        this.modify("enginename",engineName);
    }

    /**
     * 设置 [RULEGROUP]
     */
    public void setGroup(String  group){
        this.group = group ;
        this.modify("rulegroup",group);
    }

    /**
     * 设置 [MODELID]
     */
    public void setModelId(String  modelId){
        this.modelId = modelId ;
        this.modify("modelid",modelId);
    }

    /**
     * 设置 [MODELNAME]
     */
    public void setModelName(String  modelName){
        this.modelName = modelName ;
        this.modify("modelname",modelName);
    }

    /**
     * 设置 [EXECSTATE]
     */
    public void setState(String  state){
        this.state = state ;
        this.modify("execstate",state);
    }

    /**
     * 设置 [LASTRUNTIME]
     */
    public void setLastRuntime(Timestamp  lastRuntime){
        this.lastRuntime = lastRuntime ;
        this.modify("lastruntime",lastRuntime);
    }


}


